Name:          python-reload
Version:       0.9
Release:       4mamba
Summary:       Starts given program and reloads it whenever any file in current directory changes
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/loomchild/reload
Source:        https://pypi.debian.net/reload/reload-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:    python-reload-py36 <= 0.9-1mamba \
Requires:     python-watchdog%{?pyappend:-%pyappend}
%pyver_package
%endif

%prep
%setup -q -n reload-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%if "0%{?with_pyver}" == "0"
sed -i "/\.py[co]$/d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.9-4mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun Jan 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-3mamba
- obsolete -py36 pakcage and require python-watchdog

* Sun Jan 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-2mamba
- rebuilt with -py3

* Sat Mar 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-1mamba
- package created using the webbuild interface
